package com.dragon.system.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dragon.system.common.domain.SysMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/11/20 20:36
 */
@Mapper
public interface SysMenuPlusMapper extends BaseMapper<SysMenu> {
    List<String> selectMenuPermsByRoleId(Long roleId);

    List<String> selectMenuPermsByUserId(Long userId);

    List<SysMenu> selectMenuTreeByUserId(Long userId);

    List<Long> selectMenuListByRoleId(Long roleId, boolean menuCheckStrictly);
}
